karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (KARAF-5505) Jetty version out of date
Date Fri, 24 Nov 2017 06:58:00 GMT

    [ https://issues.apache.org/jira/browse/KARAF-5505?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16264989#comment-16264989
] 

Jean-Baptiste Onofré commented on KARAF-5505:
---------------------------------------------

That's not directly only a Karaf issue, but also a Pax Web update. I created another Jira
to have Karaf directly depends to Jetty and not override the Jetty version.

> Jetty version out of date
> -------------------------
>
>                 Key: KARAF-5505
>                 URL: https://issues.apache.org/jira/browse/KARAF-5505
>             Project: Karaf
>          Issue Type: Bug
>    Affects Versions: 4.2.0.M1
>            Reporter: David Otasek
>            Assignee: Jean-Baptiste Onofré
>
> I get the same exception as the following when using com.eclipsesource.jaxrs.publisher
in Karaf 4.2.0.M1: [https://issues.apache.org/jira/browse/KARAF-4990]
> I changed the jetty version in standard/pom.html to 9.3.16.v20170120 as was mentioned
in the fix above, and after a recompile, the problem resolved. Could the fix from #4990 be
included in Karaf 4.2?



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message